# ChangeLog

Лог изменений в PromUC

### Новое

* В настройки контейнеров добавлена синхронизация времени с хостом, #40* В контейнер Framework добавлен том config, #38
* Добавлена возможность указания url для загрузки файлов, #32
* Адаптация к замене варианта Gitea

### Исправлено

* Ошибка подключения к брокеру по порту 1883, #37
* Определение каталога docker volumes, #35
* Не удалялись сертификаты при повторной установке, #34

### Изменено

* Тэг образа fluentbit вынесен в .env, #20
* Замена источника файла Updater, #18

### Исправлено

* Добавлены теги к docker-образам Ruleengine, #31
* Удаление пустого каталога организации из кеша, #29
* Синхронизация репозиториев через rebase, #30
* После установки не синхронизировался файловый кеш скады, #25
* При выполнении upgrade не определялись новые сервисы, #19

## [v2.2] - 2023-08-02

### Добавлено

* Функционал дополнительных модулей (plugins)
* Служба хоста promuc-updater
* Сервис memcached для кеширования данных PromUC FrameWork, PromUC RuleEngine, Gitea
* Добавлена возможность продолжения прерванной установки
* Файл конфигурации `install/config.json`
* Файловое хранилище (кеш) репозиториев Gitea

### Изменено

* Часто используемый код вынесен в `install/functions.sh`
* Переработан алгоритм получения токена
* Убран вывод `docker ps` после запуска контейнера сервиса

Изменения в сервисах:

### SCADA

Добавлено

* Множественное выделение слой на карте
* jsonRPC
* widgets
* масштабирование вокруг курсора
* чат в SOP
* фон в проект
* файловый кеш gitea
* переходы по reference
* контекстное меню
* многоуровневое контекстное меню
* хуки на обновление кеша
* SOP по дате
* SOP информация во FW
* сервис отслеживания новых событий журнала (распределение)
* редактор элементов скады (перемещение, вращение, масштабирование, сигналы, прочее)

### FrameWork

Добавлено

* интервальный фильтр
* агрегатные функции
* memcached (изменение элементов, элементов класса)
* запросы данных с указанием глубины (открытие связанных объектов)
* внедрение CORS
* количество элементов по фильтру
* мнемоники вместо ID в любых полях объектов

### Framework Front

Добавлено

* Отображение иерархии наследования между классами
* Отображение связей между сущностями
* Отображение системных классов
* Отображение пользовательских классов
* Выделение абстрактных классов

Исправлено

* Исправлена ошибка, при которой в случае отсутствия в выдаче поля, имеющегося у предков, отображение падало

### RuleEngine

Добавлено

* Блок OUTPUT KAFKA
* Блок INPUT Memchached
* Блок INPUT Генератор
* Блок TRANSFORM Скрипты LUA
* API RPC BacNet

Изменено

* Modbus TCP добавлена возможность опроса нескольких deviceID с одного IP адреса
* PromUC Flow переподключение к серверу по websocket
* Возврат ошибок при создании цепочек
* KNX формирование данных, аналогично Modbus

Исправлено

* BacNet отправка команды iam
* BacNet проверка ошибок
* Modbus TCP группировка регистров

### PromTV

Добавлено

* Добавлена обработка и отправка событий распознавания номеров в FW с ITV
* Добавлена обработка и отправка событий потери и восстановления связи в FW
* Добавлены настройка и отображение маски приватности при просмотре живого видео, архива и (опционально) при экспорте кадра и видео вручную
* Добавлен выбор интервала времени при просмотре архива
* Добавлены группы устройств с разграничением прав доступа

Изменено

* Экспорт кадра и видео вручную выполняется в папку temp c последующим удалением после скачивания
* Однообразное контекстное меню в виджете камеры
* В событиях добавлено поле с координатами рамки детектора события

Исправлено

* Исправлено определение временного промежутка для экспорта видео
* Исправлен сброс флагов состояния камеры при сохранении параметров камеры
* Исправлено отображение видео в настройках
* Исправлена работа с gitea версий 1.19 и выше
* Исправлено накопление более одного обработчика событий нажатия на кнопку сохранения в настройках

### GIS

* Обновление цветовой гаммы карты на тёмную тему в фирменной палитре

### Журналы

Добавлено

* кеширование собранных с сервера данных на клиенте

Изменено

* при смене фильтров / порядка отображения данные принудительно заново пересобираются

Исправлено

* раскрытие связанных данных по необходимым полям из кеша или по собранным с сервера данным
* ошибки в отображении первичных данных после переключения вкладки
* синхронизация состояния верхней панели и журнала
* выставление времени при создании/редактировании элементов
* откидывание запроса при изменении в kanban

Безопасность

* устранена ошибка, которая позволяла делать HTML-инъекции при вызове modal со своими параметрами

### Gitea

* Обновление до версии 1.20.2

### Portainer

* Унификация логина администратора
* Обновление версии до 2.18.4

### PgAdmin

* Обновление версии до 7.5