# Promuc

## Минимальные требования

Операционная система: Debian 10, 11 или иная производная
Прооцессор: x64 2 ядра
Память: 4 ГБ
Хранилище: не менее 1,2 ГБ

## Порядок установки

* Скачать и распаковать дистрибутив:
  
  ```shell
  cd /opt
  wget --no-check-certificate https://download.protei-sm.ru/promuc-debian.tar.gz
  tar -xf promuc-debian.tar.gz
  cd promuc
  ```  

* Запустить установку

  ```shell
  ./install.sh --recreate -f
  ```

* Потребуется ввести домен, в адресном пространстве которого проводится установка.

* Ввести данные администратора.

* Указать способ получения сертификатов.

* В случае генерации сертификатов импортировать корневой сертификат в хранилище доверенных корневых центров сертификации на целевом ПК. Если эксплуатация будет производиться на этом же ПК, то импортировать сертификат не нужно. Сертификат располагается по пути /opt/promuc/proxy/certs/ca.crt. Также его можно скачать по ссылке https://ДоменСайта/ca.crt.

* В файле /opt/promuc/.config дополнительно содержатся основные реквизиты доступа к сервисам

## Управление

Посредство скрипта do.sh возможно выполнение операция над контейнерами. Например:

```text
  ./do.sh --all ps - вывести состояние контейнеров по всем сервисам установленным согласно файла .order
  ./do.sh --all restart - рестарт всех контейнеров
  ./do.sh -r --all down - остановка и удаление всех контейнеров и плагинов PromUC
  ./do.sh pgadmin,portainer down - остановка и удаление контейнеров PgAdmin и Portainer
  ./do.sh ruleengine up -d --force-recreate - пересоздание всех контейнеров сервиса RuleEngine

  -r      - использовать файл .order в реверсивном порядке, применимо для команды down
  --all   - выполнить команду над всеми сервисами согласно файла .order
  команда - команда Docker Compose, подробнее https://docs.docker.com/compose/reference/
```
