#!/bin/bash

# DEBUG options
if [ ! -z ${DEBUG:-} ]; then
  exec 5> $(dirname $(realpath -s $0))/.$(basename $0).log
  BASH_XTRACEFD="5"
  PS4='$LINENO: '
  set -x
fi

set -euo pipefail

echo -e "\nНастраиваем Fluent Bit\n"

workdir=$(dirname $(realpath -s $0))
installdir=$(dirname $workdir)
cd $workdir || exit 1

if [ ! -f .env ] || [[ ${1:-} = "--recreate" ]] || [[ ${1:-} = "-r" ]]; then
  
  cp template.env .env
  source .env
  [ -f ../.env ] && source ../.env

  [ $(docker compose ps -aq | wc -l) -gt 0 ] && docker compose down -v

else
  echo -e "Возможно имеются данные, установка игнорируется.\nДля принудительной установки удалите файл $(pwd)/.env или используйте флаг --recreate\n"
fi

[ -f .env ] || cp template.env .env
source .env

echo "Запускаем Fluent Bit"
[ "$(docker image ls -q fluent/fluent-bit:"${FLUENTBIT_TAG:-latest}" | wc -l)" -eq 0 ] && { "$installdir"/getimage.sh fluent/fluent-bit:"${FLUENTBIT_TAG:-latest}" || exit 1; }
docker compose up -d --force-recreate --wait || { echo "Ошибка при запуске контейнера. Повторите установку."; exit 1; }

