#!/bin/bash 

# Скрипт не предназначен для самостоятельного запуска
[[ "${0##*/}" == "createapp.sh" ]] && exit 1

if [ -z $(which jq) ] || [ -z $(which curl) ]; then
  echo "Устанавливаем jq и curl"
  { apt-get update 2>&1 || echo E: update failed; } | grep -q '^[WE]:' && echo "Ошибка обновления, возможны ошибки при установке необходимых пакетов"
  apt-get -qq install jq curl 1> /dev/null || { echo "Ошибка установки"; exit 1; }
fi 

# Создаём приложение
if ! responseCode=$(\
  curl -s --noproxy "*" -o .apiresponse -w "%{http_code}\n" -X POST \
  https://git.$SERVICE_DOMAIN/api/v1/user/applications/oauth2?token=$token \
  -H 'accept: application/json'       \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Сервис PromUC '"$servicename"'",
    "name": "'"https://$servicename"'",
    "redirect_uris": [
      "https://'"$redirect_uris"'"
    ],
    "confidential_client": true
}'); then
  echo -e "Ошибка при создании приложения $servicename\nКод: $responseCode\nСообщение: $(cat .apiresponse | jq -j .message)"
  exit 1
fi
if [ $responseCode -eq 201 ]; then
  echo "Создано приложение $servicename"
  client_id=$(cat .apiresponse | jq -j .client_id)
  client_secret=$(cat .apiresponse | jq -j .client_secret)
else
  echo -e "Ошибка при создании приложения $servicename\nКод: $responseCode\nСообщение: $(cat .apiresponse | jq -j .message)"
  exit 1
fi
[ ! -d .secrets ] && mkdir .secrets
echo $client_id > .secrets/client_id${path}
echo $client_secret > .secrets/client_secret${path}
