#!/bin/bash

# DEBUG options
if [ ! -z ${DEBUG:-} ]; then
  exec 5> $(dirname $(realpath -s $0))/.$(basename $0).log
  BASH_XTRACEFD="5"
  PS4='$LINENO: '
  set -x
fi

set -euo pipefail

echo -e "\nНастраиваем memcached\n"

workdir=$(dirname $(realpath -s $0))
installdir=$(dirname $workdir)
cd $workdir || exit 1

[[ -f .env ]] || cp template.env .env
source .env

echo -e "\nЗапускаем memcached"
[ $(docker image ls -q memcached:${MEMCACHED_TAG:-1.6} | wc -l) -eq 0 ] && { $installdir/getimage.sh memcached:${MEMCACHED_TAG:-1.6} || exit 1; }
docker compose up -d --force-recreate --wait || { echo "Ошибка при запуске контейнера. Повторите установку."; exit 2; }


