#!/bin/bash

# DEBUG options
if [[ "${0##*/}" == "giteauth.sh" ]]; then
  if [ ! -z ${DEBUG:-} ]; then
    exec 5> $(dirname $(realpath -s $0))/.$(basename $0).log
    BASH_XTRACEFD="5"
    PS4='$LINENO: '
    set -x
  fi
fi

set -euo pipefail

echo -e "\nНастраиваем OAuth аутентификацию через сервис Gitea"

workdir=$(dirname $(realpath -s $0))
installdir=$(dirname $workdir)
cd $workdir || exit 1

source .env

token=$(sed -nr 's/GITEA_USER_TOKEN=(.+)/\1/p' $installdir/gitea/.env)
[ -z $token ] && { echo "Ошибка получения токена Gitea"; exit 1; }
redirect_uris="pgadmin.${SERVICE_DOMAIN:-localhost}/oauth2/authorize"
servicename="pgadmin.${SERVICE_DOMAIN:-localhost}"
path="_pgadmin.${SERVICE_DOMAIN:-localhost}"

source $installdir/gitea/createapp.sh

cp conf/template.config_local.py conf/config_local.py
sed -i "s/V_OAUTH2_CLIENT_ID/$client_id/g" conf/config_local.py
sed -i "s/V_OAUTH2_CLIENT_SECRET/$client_secret/g" conf/config_local.py
sed -i "s/.SERVICE_DOMAIN/.${SERVICE_DOMAIN:-localhost}/g" conf/config_local.py
