#!/bin/bash

# DEBUG options
if [ ! -z ${DEBUG:-} ]; then
  exec 5> $(dirname $(realpath -s $0))/.$(basename $0).log
  BASH_XTRACEFD="5"
  PS4='$LINENO: '
  set -x
fi

set -euo pipefail

echo -e "\nНастраиваем redis"

workdir=$(dirname $(realpath -s $0))
installdir=$(dirname $workdir)
cd $workdir || exit 1

if [ ! -f .env ] || [[ ${1:-} = "--recreate" ]] || [[ ${1:-} = "-r" ]]; then
  [ -f ../.env ] && source ../.env
  cp template.env .env
else
  echo -e "Возможно имеются данные, установка игнорируется.\nДля принудительной установки удалите файл $(pwd)/.env или используйте флаг --recreate\n"
fi
source .env

echo -e "Запускаем redis..."
[ $(docker image ls -q redis:${REDIS_TAG:-7.0} | wc -l) -eq 0 ] && { $installdir/getimage.sh redis:${REDIS_TAG:-7.0} || exit 1; }
docker compose up -d --force-recreate --wait || { echo "Ошибка при запуске контейнера. Повторите установку."; exit 2; }

