#!/bin/bash

# DEBUG options
if [ ! -z ${DEBUG:-} ]; then
  exec 5> $(dirname $(realpath -s $0))/.$(basename $0).log
  BASH_XTRACEFD="5"
  PS4='$LINENO: '
  set -x
fi
set -euo pipefail

workdir=$(dirname $(realpath -s $0))
cd $workdir

if [ $# -eq 0 ] || [ ! -d $workdir/$1 ]; then
  echo "Необходимо указать каталог сервиса как аргумент"
  exit 1
fi

for compose in $(find $workdir/$1 -maxdepth 1 -type f -name 'docker-compose.yml'); do
  cd $(dirname $compose)
  images+=( $(docker compose config | sed -n 's/.*image: '//p | tr '\n' ' ') )
done
cd $workdir
if [ ${#images[@]} -eq 0 ]; then
  echo "Не найдено ни одного образа в конфигурации"
  exit 1
fi

for image in "${images[@]}"; do
  if ! ./getimage.sh -p $image; then
    echo "Обновление $1 не выполнено"
    exit 1
  fi
done

echo -e "\nРестартуем сервис $1\n"
./do.sh $1 up -d

